from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XShapeGrouper(XInterface, Protocol):
    def group(self, xShapes: XShapes) -> XShapeGroup: ...
    def ungroup(self, aGroup: XShapeGroup) -> None: ...
